@tsteur opened this Issue on September 2nd 2015 Owner

See UI test screenshot of system check:

installation_system_check

I'm currently trying to get PHP7 working but get many different errors and have to recompile PHP 7 all the time. Getting these error messages in an already installed Piwik:

screenshot at sep 02 17-46-22

after compiling with --with-json I get
screenshot at sep 02 17-53-32

after compiling with --with-json --with-hash I get
screenshot at sep 02 18-00-18

image

etc.

Eg in above screenshot it says JSON extension is optional but it is not (actually it is listed in required and optional). One is getting an error if it is not installed.

Maybe we can also make the error messages a bit nicer and eg say "you have to compile Piwik with --with-json | --with-hash | --with-pdo" etc. ?

Maybe we can also recommend in a FAQ which flags are needed (haven't checked if there is already such a FAQ)?

Maybe we could have a link to a system check on all error pages to see what is missing? This system check should ideally work standalone to not fail when json extension etc is missing (maybe we can avoid loading plugins etc).

After installing all the extensions and being able to open the reports page I wanted to go to the system check but when trying to open the system check page I get this error:

image

Just wanted to create an issue about what I experienced here. We can close it without doing anything if it's not worth spending time on it.

@mattab commented on September 2nd 2015 Owner

Maybe we can also make the error messages a bit nicer and eg say "you have to compile Piwik with --with-json | --with-hash | --with-pdo" etc. ?

:+1:

Maybe we can also recommend in a FAQ which flags are needed (haven't checked if there is already such a FAQ)?

We do have a "Recommended Configuration" section in the Requirements user guide - maybe this could be added there (let me know the command line and I can add it)

We can close it without doing anything if it's not worth spending time on it.

I think it's very important to make this part smooth, I see following (low effort) action items:

  • the system check should be self explanatory and helps users in case anything is mis-configured. +1 to improve error messages when possible
  • curious to undestand why Piwik could be installed without json (it's marked as required),
  • we likely need to add hash to the list of required extensions,
  • +1 to display a link to a system check on all error pages to see what is missing
@tsteur commented on September 3rd 2015 Owner

FYI: In case it was not clear. I had an existing installation of Piwik and updated my PHP version. It took me quite a long time to get everything working and after some parts of the UI were working I discovered more parts that weren't working including the system check did not work even though other parts of UI were working. I think this can be quite a common scenario, especially now that maybe more will upgrade to newer PHP versions for Piwik 3.0.

@MagicFab commented on September 3rd 2015

@tsteur could the System check have a fallback UI that won't fail in such cases?

@tsteur commented on September 3rd 2015 Owner

Yes, that would be really great. We kinda need to test the system check with no additional extension installed.

Just also noticed filter extension is required too and not mentioned in the check I think

Powered by GitHub Issue Mirror